# $Revision: 1.53 $, $Date: 2010/07/12 09:54:11 $
Summary:	WebMail package
Summary(pl.UTF-8):	Poczta przez WWW
Name:		nocc
Version:	1.8.3
Release:	2
License:	GPL
Group:		Applications/Mail
Source0:	http://downloads.sourceforge.net/nocc/%{name}-%{version}.tar.gz
# Source0-md5:	731c8ab05a6de5131383be0810fe76a2
Source1:	%{name}.lighttpd
Patch0:		%{name}-config.patch
Patch1:		%{name}-pl.patch
URL:		http://nocc.sourceforge.net/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
Requires:	php(iconv)
Requires:	php(imap)
Requires:	php(pcre)
Requires:	webapps
Requires:	webserver(php) >= 4.1.0
Provides:	webmail
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapp		%{name}
%define		_webapps	/etc/webapps
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
NOCC is a webmail client written in PHP. It provides webmail access to
IMAP and POP3 accounts.

%description -l pl.UTF-8
NOCC jest klientem poczty napisanym w PHP. Umożliwia dostęp do kont
pocztowych IMAP i POP3 przez WWW.

%prep
%setup -q -c %{name}-%{version}

%undos -f php
%patch0 -p1
%patch1 -p1

cat > apache.conf <<'EOF'
Alias /%{name} %{_appdir}
<Directory %{_appdir}>
	Allow from all
</Directory>
EOF

%build
find -type d -name CVS | while read cvsdir; do
	rm -rf $cvsdir
done

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir},%{_var}/lib/nocc}
install apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

install config/conf.php.dist config/conf.php
mv config $RPM_BUILD_ROOT%{_sysconfdir}/
cp -avR * $RPM_BUILD_ROOT%{_appdir}

ln -s %{_sysconfdir}/config $RPM_BUILD_ROOT%{_appdir}/

rm -rf $RPM_BUILD_ROOT%{_appdir}/docs
rm -f $RPM_BUILD_ROOT%{_appdir}/{COPYING,INSTALL,README,*.sh}
rm -rf $RPM_BUILD_ROOT%{_appdir}/debian
rm -f $RPM_BUILD_ROOT%{_appdir}/lang/*.sh

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%dir %attr(750,root,http) %{_sysconfdir}/config
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config/*
%attr(770,root,http) %dir %{_var}/lib/nocc
%{_appdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nocc.spec,v $
Revision 1.53  2010/07/12 09:54:11  amateja
- added %undos macro and BR sed, bumped BR rpmbuild(macros) version

Revision 1.52  2010/07/12 09:31:22  amateja
- now nocc-pl.patch is truly included, release 2

Revision 1.51  2010/07/08 17:14:08  amateja
- updated to 1.8.3, added nocc-pl.patch and adapterized

Revision 1.50  2010/02/06 00:45:53  sparky
- BR: rpm-pythonprov

Revision 1.49  2010/02/05 16:56:24  amateja
- updated to 1.8.2

Revision 1.48  2009/10/09 06:53:28  amateja
- updated to 1.8.1

Revision 1.47  2009/05/13 11:53:26  amateja
- removed Source0-md5

Revision 1.46  2009/05/13 11:50:18  amateja
- added support for lighttpd

Revision 1.45  2009/05/13 06:36:04  amateja
- updated to 1.7
- minor cleanup

Revision 1.44  2008/07/26 09:12:09  luzik
- updated to 1.6
- config files changed

Revision 1.43  2007/08/09 17:33:35  tommat
- up to 1.4, STBR

Revision 1.42  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.41  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.40  2007/01/04 08:51:38  prism
- 1.3 final

Revision 1.39  2006/11/23 17:16:19  tommat
- 1.3 20061123 snapshot - many new featuers

Revision 1.38  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.37  2006/07/26 15:48:06  glen
- remove extra unneeded slash

Revision 1.36  2006/07/18 16:16:54  glen
- source1 unused

Revision 1.35  2006/07/18 16:15:43  glen
- sync apache config and specfile

Revision 1.34  2006/07/18 16:13:52  glen
- don't install apache config to lighttpd

Revision 1.33  2006/07/18 14:57:28  tommat
- cleanup

Revision 1.32  2006/07/18 13:05:40  tommat
- ver 1.2
- webapps compatible

Revision 1.31  2005/11/09 18:30:35  glen
- php epoch

Revision 1.30  2005/11/09 18:19:42  tommat
- R: php-iconv

Revision 1.29  2005/11/08 18:12:41  tommat
- more strict req

Revision 1.28  2005/11/08 17:55:32  tommat
- simplyfied files section

Revision 1.27  2005/11/08 17:31:47  tommat
- fixed dir permissions

Revision 1.26  2005/11/08 17:13:31  tommat
- version 1.0.0rc1 now php5 compatible
- all stuff now in /usr/share/nocc

Revision 1.25  2005/03/28 10:27:28  darekr
- cleanups

Revision 1.24  2004/08/23 23:01:17  qboosh
- unified Source0 URL

Revision 1.23  2004/08/23 22:31:27  tommat
- version 0.9.6 STBR for AC

Revision 1.22  2004/07/09 00:51:54  tommat
- snap 2004-07-08

Revision 1.21  2004/07/07 21:12:47  tommat
- updated release to be greater than snap

Revision 1.20  2004/07/07 20:59:38  tommat
- version 0.9.6RC1

Revision 1.19  2004/06/15 00:43:22  tommat
- snap 2004-06-14

Revision 1.18  2004/06/03 15:20:46  tommat
- snapshot 2004.06.01

Revision 1.17  2004/04/21 12:18:25  tommat
- snap 2004.04.20

Revision 1.16  2004/04/11 15:52:29  tommat
- snap 2004.04.10

Revision 1.15  2004/01/11 21:46:56  tommat
- snap 2004-01-10
- use themes and charset form translation files in contacts windows
- changed format of the contacts files !!not compatible with previous!!

Revision 1.14  2004/01/05 00:28:04  tommat
- new snap (2004-01-04):
  - updated polish translation (could anyone check and verify it??)
  - changed contacts filename to avoid cross domain access for users with
    the same filename.

Revision 1.13  2004/01/04 11:42:58  tommat
- new snap (2004-01-03):
  Corrected an english bad translation for $html_contact_del,
  Use of $conf->prefs_dir instead of a specific configuration variable for contacts list

Revision 1.12  2004/01/03 00:58:30  tommat
- new snap 2004.01.02 - happy new year :)
- please do not commit not PLD specific patches to cvs but send them to me
  and i'll commit them to nocc cvs.

Revision 1.11  2003/12/13 22:20:32  tommat
- added patches to translate (i think) everything in the interface
- STBR for AC

Revision 1.10  2003/12/12 12:22:10  tommat
- added patch2 with polish translation

Revision 1.9  2003/12/12 07:42:28  tommat
- more clear versioning convention.

Revision 1.8  2003/12/11 21:18:27  tommat
- added security patch
- added lang workaround patch (not translated parts are in english now
  not blanks)
- fixed previously broken filelist

Revision 1.7  2003/12/11 12:01:18  tommat
- upgraded do new cvs snapshot
- added php-pcre BR

Revision 1.6  2003/09/09 10:24:23  ankry
- spaces -> tab

Revision 1.5  2003/06/12 14:09:30  qboosh
- adapterized, simplified Source0 URL

Revision 1.4  2003/06/12 11:16:56  tommat
- corrected log section
